Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.world.demo
Class DemoWorldManager

    java.lang.Object
      net.minecraft.item.ItemInWorldManager
          net.minecraft.world.demo.DemoWorldManager

    public class DemoWorldManager

extends ItemInWorldManager

Field Summary

Fields inherited from class net.minecraft.item.ItemInWorldManager
`theWorld, thisPlayerMP`

Constructor Summary
`DemoWorldManager(World par1World)`

Method Summary
`boolean` | `activateBlockOrUseItem(EntityPlayer par1EntityPlayer, World par2World, ItemStack par3ItemStack, int par4, int par5, int par6, int par7, float par8, float par9, float par10)` Activate the clicked on block, otherwise use the held item.
`void` | `onBlockClicked(int par1, int par2, int par3, int par4)` if not creative, it calls destroyBlockInWorldPartially untill the block is broken first.
`boolean` | `tryHarvestBlock(int par1, int par2, int par3)` Attempts to harvest a block at the given coordinate
`boolean` | `tryUseItem(EntityPlayer par1EntityPlayer, World par2World, ItemStack par3ItemStack)` Attempts to right-click use an item by the given EntityPlayer in the given World
`void` | `uncheckedTryHarvestBlock(int par1, int par2, int par3)`
`void` | `updateBlockRemoving()`

Methods inherited from class net.minecraft.item.ItemInWorldManager
`cancelDestroyingBlock, getBlockReachDistance, getGameType, initializeGameType, isCreative, setBlockReachDistance, setGameType, setWorld`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DemoWorldManager

    public DemoWorldManager(World par1World)

Method Detail

### updateBlockRemoving

    public void updateBlockRemoving()

  Overrides:
    `updateBlockRemoving` in class `ItemInWorldManager`

### onBlockClicked

    public void onBlockClicked(int par1,
                               int par2,
                               int par3,
                               int par4)

  if not creative, it calls destroyBlockInWorldPartially untill the block is broken first. par4 is the specific side. tryHarvestBlock can also be the result of this call

  Overrides:
    `onBlockClicked` in class `ItemInWorldManager`

### uncheckedTryHarvestBlock

    public void uncheckedTryHarvestBlock(int par1,
                                         int par2,
                                         int par3)

  Overrides:
    `uncheckedTryHarvestBlock` in class `ItemInWorldManager`

### tryHarvestBlock

    public boolean tryHarvestBlock(int par1,
                                   int par2,
                                   int par3)

  Attempts to harvest a block at the given coordinate

  Overrides:
    `tryHarvestBlock` in class `ItemInWorldManager`

### tryUseItem

    public boolean tryUseItem(EntityPlayer par1EntityPlayer,
                              World par2World,
                              ItemStack par3ItemStack)

  Attempts to right-click use an item by the given EntityPlayer in the given World

  Overrides:
    `tryUseItem` in class `ItemInWorldManager`

### activateBlockOrUseItem

    public boolean activateBlockOrUseItem(EntityPlayer par1EntityPlayer,
                                          World par2World,
                                          ItemStack par3ItemStack,
                                          int par4,
                                          int par5,
                                          int par6,
                                          int par7,
                                          float par8,
                                          float par9,
                                          float par10)

  Activate the clicked on block, otherwise use the held item. Args: player, world, itemStack, x, y, z, side, xOffset, yOffset, zOffset

  Overrides:
    `activateBlockOrUseItem` in class `ItemInWorldManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD